%define pkgname urlgrabber

Name:          python-urlgrabber
Version:       4.1.0
Release:       1mamba
Summary:       A high-level cross-protocol url-grabber
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://urlgrabber.baseurl.org/
Source:        https://pypi.debian.net/urlgrabber/urlgrabber-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(pycurl)
BuildRequires: python3.7dist(setuptools)
BuildRequires: python3.7dist(six)
## AUTOBUILDREQ-END

%description
A high-level cross-protocol url-grabber.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/urlgrabber-*.egg-info
%{python_sitearch}/urlgrabber-*.egg-info/*
%doc LICENSE

%changelog
* Mon Apr 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.0-1mamba
- update to 4.1.0

* Mon Jul 29 2019 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic update by autodist

* Thu Oct 10 2013 Automatic Build System <autodist@mambasoft.it> 3.10-1mamba
- automatic update by autodist

* Sat May 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.1-2mamba
- python 2.7 mass rebuild

* Thu Mar 25 2010 Davide Madrisan <davide.madrisan@gmail.com> 3.9.1-1mamba
- package created by autospec
